<?php
  
IF (GET('them') == "ban_on" && $fthem['BAN'] == 0){ 
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=forum'>".LG('Форум')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=forum&section=subsection&id=".$section['ID']."'>".TEXT_ABSOLUTE($section['NAME'])."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=forum&section=subsection_themes&id=".$subsection['ID']."'>".TEXT_ABSOLUTE($subsection['NAME'])."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($fthem['NAME'])."";
  ECHO "</div>";
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $message = ADSL(POST('message'));
    $ban = INTVAL(POST('ban'));
    $type = INTVAL(POST('type'));
    
    IF (STR($message) < 1){
      
      ERROR('Причина бана не может быть меньше  символа', 'session');      
      $err_data = 1;
    
    }
    
    IF (STR($message) > 500){
      
      ERROR('Причина бана не может быть больше 500 символов', 'session');
      $err_data = 1;
    
    }
    
    IF ($err_data == 1){
      
      REDIRECT('/modules/?path=forum&section=show&id='.$fthem['ID'].'&them=ban_on');
    
    }
    
    DB::GET_SET("UPDATE `FORUM_THEM` SET `BAN` = '1', `BAN_COMMENTS` = '".$message."', `BAN_TYPE` = '".$type."' WHERE `ID` = '".$fthem['ID']."' LIMIT 1");
    
    IF (ACCESS('forum_ban', NULL, 1) || MANAGEMENT == 1){
      
      LOGS('Форум - блокировка темы '.$account['LOGIN'].'', $user['ID']);
    
    }
    
    SUCCESS('Тема успешно заблокирована', 'session');
    REDIRECT('/modules/?path=forum&section=show&id='.$fthem['ID'].'');
  
  }
  
  ECHO "<div class='list'>";
      
  ECHO "<form method='post' class='form' action='/modules/?path=forum&section=show&id=".$fthem['ID']."&them=ban_on'>";
  
  ECHO "<b>".LG('Причина блокировки').":</b><br /><select name='type' class='form-control-select'>";
  
  ECHO "<option value='1'>".LG('СПАМ, реклама')."</option>";
  ECHO "<option value='2'>".LG('Мошенничество')."</option>";
  ECHO "<option value='3'>".LG('Нецензурная брань, оскорбления')."</option>";
  ECHO "<option value='4'>".LG('Разжигание ненависти')."</option>";
  ECHO "<option value='5'>".LG('Пропаганда нацизма')."</option>";
  ECHO "<option value='6'>".LG('Пропаганда наркотиков')."</option>";
  ECHO "<option value='7'>".LG('Систематические нарушения')."</option>";
  ECHO "<option value='0'>".LG('Иная')."</option>";
  
  ECHO "</select><br /><br />";
      
  ECHO "<b>".LG('Опишите коротко причину')."</b> (".LG('от 1 до 500 символов')."):<br />";
  HTML::TEXTAREA(NULL, 'message', 'Причина блокировки', NULL, 'form-control-100');
  
  ECHO "</select><br />";
      
  HTML::BUTTON('btn-big ajax-button', 'ok', 'ban', 'Заблокировать');
      
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<div class='list'>";
  ECHO "<a href='/modules/?path=forum&section=show&id=".$fthem['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
  ECHO "</div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=forum'>".LG('Форум')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=forum&section=subsection&id=".$section['ID']."'>".TEXT_ABSOLUTE($section['NAME'])."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=forum&section=subsection_themes&id=".$subsection['ID']."'>".TEXT_ABSOLUTE($subsection['NAME'])."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($fthem['NAME'])."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}

IF (GET('them') == "ban_off" && $fthem['BAN'] == 1){
  
  DB::GET_SET("UPDATE `FORUM_THEM` SET `BAN_TYPE` = '0', `BAN_COMMENTS` = '".NULL."', `BAN` = '0' WHERE `ID` = '".$fthem['ID']."' LIMIT 1");
  
  REDIRECT('/modules/?path=forum&section=show&id='.$fthem['ID'].'');
  
}
  
?>